Mageia 2022-0328: zlib security update | LinuxSecurity.com
MGASA-2022-0328 - Updated zlib packages fix security vulnerability

Publication date: 16 Sep 2022
URL: https://advisories.mageia.org/MGASA-2022-0328.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-37434

zlib through 1.2.12 has a heap-based buffer over-read or buffer overflow
in inflate in inflate.c via a large gzip header extra field. NOTE: only
applications that call inflateGetHeader are affected. Some common
applications bundle the affected zlib source code but may be unable to
call inflateGetHeader (e.g., see the nodejs/node reference).
(CVE-2022-37434)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30715
- https://www.openwall.com/lists/oss-security/2022/08/09/1
- https://ubuntu.com/security/notices/USN-5570-1
- https://www.debian.org/security/2022/dsa-5218
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/JWN4VE3JQR4O2SOUS5TXNLANRPMHWV4I/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-37434

SRPMS:
- 8/core/zlib-1.2.12-1.3.mga8

Mageia 2022-0328: zlib security update

zlib through 1.2.12 has a heap-based buffer over-read or buffer overflow in inflate in inflate.c via a large gzip header extra field

Summary

zlib through 1.2.12 has a heap-based buffer over-read or buffer overflow in inflate in inflate.c via a large gzip header extra field. NOTE: only applications that call inflateGetHeader are affected. Some common applications bundle the affected zlib source code but may be unable to call inflateGetHeader (e.g., see the nodejs/node reference). (CVE-2022-37434)

References

- https://bugs.mageia.org/show_bug.cgi?id=30715

- https://www.openwall.com/lists/oss-security/2022/08/09/1

- https://ubuntu.com/security/notices/USN-5570-1

- https://www.debian.org/security/2022/dsa-5218

- https://lists.fedoraproject.org/archives/list/[email protected]/thread/JWN4VE3JQR4O2SOUS5TXNLANRPMHWV4I/

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-37434

Resolution

MGASA-2022-0328 - Updated zlib packages fix security vulnerability

SRPMS

- 8/core/zlib-1.2.12-1.3.mga8

Severity
Publication date: 16 Sep 2022
URL: https://advisories.mageia.org/MGASA-2022-0328.html
Type: security
CVE: CVE-2022-37434

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.